"use strict";
/*
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_interceptor_service_1 = require("../http-interceptor.service");
var spinkits_1 = require("../spinkits");
var pending_interceptor_service_1 = require("../pending-interceptor.service");
var SpinnerComponent = (function () {
    function SpinnerComponent(http, pendingRequestInterceptorService) {
        var _this = this;
        this.http = http;
        this.pendingRequestInterceptorService = pendingRequestInterceptorService;
        this.Spinkit = spinkits_1.Spinkit;
        this.spinner = spinkits_1.Spinkit.skCubeGrid;
        this.oldSubscription = this.http
            .pendingRequestsStatus
            .subscribe(function (isSpinnerVisible) {
            if (isSpinnerVisible) {
                console.log('HttpInterceptorService is deprecated and will soon be removed ' +
                    'in favor of HttpClientModule. Please upgrade !');
            }
            _this.isSpinnerVisible = isSpinnerVisible;
        });
        this.subscription = this.pendingRequestInterceptorService
            .pendingRequestsStatus
            .subscribe(function (isSpinnerVisible) {
            _this.isSpinnerVisible = isSpinnerVisible;
        });
    }
    SpinnerComponent.prototype.ngOnDestroy = function () {
        this.oldSubscription.unsubscribe();
        this.subscription.unsubscribe();
    };
    return SpinnerComponent;
}());
SpinnerComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'spinner',
                template: "\n      <div id=\"http-loader\" *ngIf=\"isSpinnerVisible\">\n          <div class=\"loader-bg\">\n              <!--sk-cube-grid-->\n              <div class=\"sk-cube-grid\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skCubeGrid\">\n                  <div class=\"sk-cube sk-cube1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube2\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube3\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube4\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube5\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube6\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube7\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube8\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube9\" [style.background-color]='backgroundColor'></div>\n              </div>\n              <!--sk-rotating-plane-->\n              <div class=\"sk-rotating-plane colored-parent\" *ngIf=\"spinner === Spinkit.skRotatingPlane\" [style.background-color]='backgroundColor'></div>\n              <!--sk-double-bounce-->\n              <div class=\"sk-double-bounce\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skDoubleBounce\">\n                  <div class=\"double-bounce1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"double-bounce2\" [style.background-color]='backgroundColor'></div>\n              </div>\n              <!--sk-wave-->\n              <div class=\"sk-wave\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skWave\">\n                  <div class=\"sk-rect sk-rect1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-rect sk-rect2\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-rect sk-rect3\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-rect sk-rect4\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-rect sk-rect5\" [style.background-color]='backgroundColor'></div>\n              </div>\n              <!--sk-wandering-cubes-->\n              <div class=\"sk-wandering-cubes\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skWanderingCubes\">\n                  <div class=\"sk-cube sk-cube1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-cube sk-cube2\" [style.background-color]='backgroundColor'></div>\n              </div>\n              <!--sk-spinner-pulse-->\n              <div class=\"sk-spinner sk-spinner-pulse colored-parent\" *ngIf=\"spinner === Spinkit.skSpinnerPulse\" [style.background-color]='backgroundColor'></div>\n              <!--sk-chasing-dots-->\n              <div class=\"sk-chasing-dots\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skChasingDots\">\n                  <div class=\"sk-child sk-dot1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-child sk-dot2\" [style.background-color]='backgroundColor'></div>\n              </div>\n              <!--sk-three-bounce-->\n              <div class=\"sk-three-bounce\" [class.colored]=\"!backgroundColor\" *ngIf=\"spinner === Spinkit.skThreeBounce\">\n                  <div class=\"sk-child sk-bounce1\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-child sk-bounce2\" [style.background-color]='backgroundColor'></div>\n                  <div class=\"sk-child sk-bounce3\" [style.background-color]='backgroundColor'></div>\n              </div>\n          </div>\n      </div>\n    ",
                styles: ["\n      #http-loader {\n          top: 0;\n          left: 0;\n          height: 100%;\n          width: 100%;\n          position: fixed;\n          z-index: 9999;\n      }\n\n      .loader-bg {\n          height: 100%;\n          width: 100%;\n          position: absolute;\n          filter: alpha(opacity=70);\n          opacity: .7;\n          background-color: #f1f1f1;\n      }\n\n      .colored-parent, .colored > div {\n          background-color: #333;\n      }\n      .sk-double-bounce {\n          top: 50%;\n          width: 40px;\n          height: 40px;\n          position: relative;\n          margin: auto;\n      }\n\n      .double-bounce1, .double-bounce2 {\n          width: 100%;\n          height: 100%;\n          border-radius: 50%;\n          opacity: 0.6;\n          position: absolute;\n          top: 0;\n          left: 0;\n          -webkit-animation: sk-bounce 2.0s infinite ease-in-out;\n          animation: sk-bounce 2.0s infinite ease-in-out;\n      }\n\n      .double-bounce2 {\n          -webkit-animation-delay: -1.0s;\n          animation-delay: -1.0s;\n      }\n\n      @-webkit-keyframes sk-bounce {\n          0%, 100% {\n              -webkit-transform: scale(0.0)\n          }\n          50% {\n              -webkit-transform: scale(1.0)\n          }\n      }\n\n      @keyframes sk-bounce {\n          0%, 100% {\n              transform: scale(0.0);\n              -webkit-transform: scale(0.0);\n          }\n          50% {\n              transform: scale(1.0);\n              -webkit-transform: scale(1.0);\n          }\n      }\n      .sk-chasing-dots {\n          top: 50%;\n          margin: auto;\n          width: 40px;\n          height: 40px;\n          position: relative;\n          text-align: center;\n          -webkit-animation: sk-chasingDotsRotate 2s infinite linear;\n          animation: sk-chasingDotsRotate 2s infinite linear;\n      }\n\n      .sk-chasing-dots .sk-child {\n          width: 60%;\n          height: 60%;\n          display: inline-block;\n          position: absolute;\n          top: 0;\n          border-radius: 100%;\n          -webkit-animation: sk-chasingDotsBounce 2s infinite ease-in-out;\n          animation: sk-chasingDotsBounce 2s infinite ease-in-out;\n      }\n\n      .sk-chasing-dots .sk-dot2 {\n          top: auto;\n          bottom: 0;\n          -webkit-animation-delay: -1s;\n          animation-delay: -1s;\n      }\n\n      @-webkit-keyframes sk-chasingDotsRotate {\n          100% {\n              -webkit-transform: rotate(360deg);\n              transform: rotate(360deg);\n          }\n      }\n\n      @keyframes sk-chasingDotsRotate {\n          100% {\n              -webkit-transform: rotate(360deg);\n              transform: rotate(360deg);\n          }\n      }\n\n      @-webkit-keyframes sk-chasingDotsBounce {\n          0%, 100% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          50% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n          }\n      }\n\n      @keyframes sk-chasingDotsBounce {\n          0%, 100% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          50% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n          }\n      }\n      .sk-cube-grid {\n          position: relative;\n          top: 50%;\n          width: 40px;\n          height: 40px;\n          margin: auto;\n      }\n\n      .sk-cube-grid .sk-cube {\n          width: 33%;\n          height: 33%;\n          float: left;\n          -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;\n          animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;\n      }\n\n      .sk-cube-grid .sk-cube1 {\n          -webkit-animation-delay: 0.2s;\n          animation-delay: 0.2s;\n      }\n\n      .sk-cube-grid .sk-cube2 {\n          -webkit-animation-delay: 0.3s;\n          animation-delay: 0.3s;\n      }\n\n      .sk-cube-grid .sk-cube3 {\n          -webkit-animation-delay: 0.4s;\n          animation-delay: 0.4s;\n      }\n\n      .sk-cube-grid .sk-cube4 {\n          -webkit-animation-delay: 0.1s;\n          animation-delay: 0.1s;\n      }\n\n      .sk-cube-grid .sk-cube5 {\n          -webkit-animation-delay: 0.2s;\n          animation-delay: 0.2s;\n      }\n\n      .sk-cube-grid .sk-cube6 {\n          -webkit-animation-delay: 0.3s;\n          animation-delay: 0.3s;\n      }\n\n      .sk-cube-grid .sk-cube7 {\n          -webkit-animation-delay: 0s;\n          animation-delay: 0s;\n      }\n\n      .sk-cube-grid .sk-cube8 {\n          -webkit-animation-delay: 0.1s;\n          animation-delay: 0.1s;\n      }\n\n      .sk-cube-grid .sk-cube9 {\n          -webkit-animation-delay: 0.2s;\n          animation-delay: 0.2s;\n      }\n\n      @-webkit-keyframes sk-cubeGridScaleDelay {\n          0%, 70%, 100% {\n              -webkit-transform: scale3D(1, 1, 1);\n              transform: scale3D(1, 1, 1);\n          }\n          35% {\n              -webkit-transform: scale3D(0, 0, 1);\n              transform: scale3D(0, 0, 1);\n          }\n      }\n\n      @keyframes sk-cubeGridScaleDelay {\n          0%, 70%, 100% {\n              -webkit-transform: scale3D(1, 1, 1);\n              transform: scale3D(1, 1, 1);\n          }\n          35% {\n              -webkit-transform: scale3D(0, 0, 1);\n              transform: scale3D(0, 0, 1);\n          }\n      }\n      .sk-rotating-plane {\n          position: relative;\n          top: 50%;\n          width: 40px;\n          height: 40px;\n          margin: auto;\n          -webkit-animation: sk-rotateplane 1.2s infinite ease-in-out;\n          animation: sk-rotateplane 1.2s infinite ease-in-out;\n      }\n\n      @-webkit-keyframes sk-rotateplane {\n          0% {\n              -webkit-transform: perspective(120px)\n          }\n          50% {\n              -webkit-transform: perspective(120px) rotateY(180deg)\n          }\n          100% {\n              -webkit-transform: perspective(120px) rotateY(180deg) rotateX(180deg)\n          }\n      }\n\n      @keyframes sk-rotateplane {\n          0% {\n              transform: perspective(120px) rotateX(0deg) rotateY(0deg);\n              -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg)\n          }\n          50% {\n              transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);\n              -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg)\n          }\n          100% {\n              transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);\n              -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);\n          }\n      }\n      .sk-spinner-pulse {\n          position: relative;\n          top: 50%;\n          width: 40px;\n          height: 40px;\n          margin: auto;\n          border-radius: 100%;\n          -webkit-animation: sk-pulseScaleOut 1s infinite ease-in-out;\n          animation: sk-pulseScaleOut 1s infinite ease-in-out;\n      }\n\n      @-webkit-keyframes sk-pulseScaleOut {\n          0% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          100% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n              opacity: 0;\n          }\n      }\n\n      @keyframes sk-pulseScaleOut {\n          0% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          100% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n              opacity: 0;\n          }\n      }\n      .sk-three-bounce {\n          top: 50%;\n          position: relative;\n          margin: auto;\n          width: 80px;\n          text-align: center;\n      }\n\n      .sk-three-bounce .sk-child {\n          width: 20px;\n          height: 20px;\n          border-radius: 100%;\n          display: inline-block;\n          -webkit-animation: sk-three-bounce 1.4s ease-in-out 0s infinite both;\n          animation: sk-three-bounce 1.4s ease-in-out 0s infinite both;\n      }\n\n      .sk-three-bounce .sk-bounce1 {\n          -webkit-animation-delay: -0.32s;\n          animation-delay: -0.32s;\n      }\n\n      .sk-three-bounce .sk-bounce2 {\n          -webkit-animation-delay: -0.16s;\n          animation-delay: -0.16s;\n      }\n\n      @-webkit-keyframes sk-three-bounce {\n          0%, 80%, 100% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          40% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n          }\n      }\n\n      @keyframes sk-three-bounce {\n          0%, 80%, 100% {\n              -webkit-transform: scale(0);\n              transform: scale(0);\n          }\n          40% {\n              -webkit-transform: scale(1);\n              transform: scale(1);\n          }\n      }\n      .sk-wandering-cubes {\n          top: 50%;\n          margin: auto;\n          width: 40px;\n          height: 40px;\n          position: relative;\n      }\n\n      .sk-wandering-cubes .sk-cube {\n          width: 10px;\n          height: 10px;\n          position: absolute;\n          top: 0;\n          left: 0;\n          -webkit-animation: sk-wanderingCube 1.8s ease-in-out -1.8s infinite both;\n          animation: sk-wanderingCube 1.8s ease-in-out -1.8s infinite both;\n      }\n\n      .sk-wandering-cubes .sk-cube2 {\n          -webkit-animation-delay: -0.9s;\n          animation-delay: -0.9s;\n      }\n\n      @-webkit-keyframes sk-wanderingCube {\n          0% {\n              -webkit-transform: rotate(0deg);\n              transform: rotate(0deg);\n          }\n          25% {\n              -webkit-transform: translateX(30px) rotate(-90deg) scale(0.5);\n              transform: translateX(30px) rotate(-90deg) scale(0.5);\n          }\n          50% {\n              /* Hack to make FF rotate in the right direction */\n              -webkit-transform: translateX(30px) translateY(30px) rotate(-179deg);\n              transform: translateX(30px) translateY(30px) rotate(-179deg);\n          }\n          50.1% {\n              -webkit-transform: translateX(30px) translateY(30px) rotate(-180deg);\n              transform: translateX(30px) translateY(30px) rotate(-180deg);\n          }\n          75% {\n              -webkit-transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);\n              transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);\n          }\n          100% {\n              -webkit-transform: rotate(-360deg);\n              transform: rotate(-360deg);\n          }\n      }\n\n      @keyframes sk-wanderingCube {\n          0% {\n              -webkit-transform: rotate(0deg);\n              transform: rotate(0deg);\n          }\n          25% {\n              -webkit-transform: translateX(30px) rotate(-90deg) scale(0.5);\n              transform: translateX(30px) rotate(-90deg) scale(0.5);\n          }\n          50% {\n              /* Hack to make FF rotate in the right direction */\n              -webkit-transform: translateX(30px) translateY(30px) rotate(-179deg);\n              transform: translateX(30px) translateY(30px) rotate(-179deg);\n          }\n          50.1% {\n              -webkit-transform: translateX(30px) translateY(30px) rotate(-180deg);\n              transform: translateX(30px) translateY(30px) rotate(-180deg);\n          }\n          75% {\n              -webkit-transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);\n              transform: translateX(0) translateY(30px) rotate(-270deg) scale(0.5);\n          }\n          100% {\n              -webkit-transform: rotate(-360deg);\n              transform: rotate(-360deg);\n          }\n      }\n      .sk-wave {\n          position: relative;\n          top: 50%;\n          margin: auto;\n          width: 50px;\n          height: 40px;\n          text-align: center;\n          font-size: 10px;\n      }\n\n      .sk-wave .sk-rect {\n          height: 100%;\n          width: 6px;\n          display: inline-block;\n          -webkit-animation: sk-waveStretchDelay 1.2s infinite ease-in-out;\n          animation: sk-waveStretchDelay 1.2s infinite ease-in-out;\n      }\n\n      .sk-wave .sk-rect1 {\n          -webkit-animation-delay: -1.2s;\n          animation-delay: -1.2s;\n      }\n\n      .sk-wave .sk-rect2 {\n          -webkit-animation-delay: -1.1s;\n          animation-delay: -1.1s;\n      }\n\n      .sk-wave .sk-rect3 {\n          -webkit-animation-delay: -1s;\n          animation-delay: -1s;\n      }\n\n      .sk-wave .sk-rect5 {\n          -webkit-animation-delay: -0.8s;\n          animation-delay: -0.8s;\n      }\n\n      .sk-wave .sk-rect4 {\n          -webkit-animation-delay: -0.9s;\n          animation-delay: -0.9s;\n      }\n\n      @-webkit-keyframes sk-waveStretchDelay {\n          0%, 40%, 100% {\n              -webkit-transform: scaleY(0.4);\n              transform: scaleY(0.4);\n          }\n          20% {\n              -webkit-transform: scaleY(1);\n              transform: scaleY(1);\n          }\n      }\n\n      @keyframes sk-waveStretchDelay {\n          0%, 40%, 100% {\n              -webkit-transform: scaleY(0.4);\n              transform: scaleY(0.4);\n          }\n          20% {\n              -webkit-transform: scaleY(1);\n              transform: scaleY(1);\n          }\n      }\n    "]
            },] },
];
/** @nocollapse */
SpinnerComponent.ctorParameters = function () { return [
    { type: http_interceptor_service_1.HttpInterceptorService, },
    { type: pending_interceptor_service_1.PendingInterceptorService, },
]; };
SpinnerComponent.propDecorators = {
    'backgroundColor': [{ type: core_1.Input },],
    'spinner': [{ type: core_1.Input },],
};
exports.SpinnerComponent = SpinnerComponent;
//# sourceMappingURL=spinner.component.js.map